probmap.hh File Reference
`#include <vector>`
`#include <string>`
`#include <map>`
`#include <iostream>`
`#include <mia/core/defines.hh>`
Include dependency graph for probmap.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CLabelMap
| A simple class to add loadind and storeing to a map of labels. More...
class | CProbabilityVector
| A vector of probablility values. More...

## Typedefs

typedef std::vector< double > | double_vector

## Functions

EXPORT_CORE bool | operator== (const CLabelMap &a, const CLabelMap &b)
| element wise equal operator for a CLabelMap
EXPORT_CORE bool | operator== (const CProbabilityVector &a, const CProbabilityVector &b)
| Compare two probability vectors.

## Typedef Documentation

## double_vector

typedef std::vector<double> double_vector

Definition at line 32 of file probmap.hh.

## Function Documentation

## operator==() [1/2]

EXPORT_CORE bool operator== | ( | const CLabelMap & | a,
|  | const CLabelMap & | b )

element wise equal operator for a CLabelMap

References EXPORT_CORE, and NS_MIA_END.

## operator==() [2/2]

EXPORT_CORE bool operator== | ( | const CProbabilityVector & | a,
|  | const CProbabilityVector & | b )

Compare two probability vectors.

References EXPORT_CORE.